import acm.program.*;
import acm.util.*;

public class HappyBirthday extends ConsoleProgram {
	/* Number of days in the year.  We'll include leap years. */
	private static final int NUM_DAYS = 366;
	
	public void run() {
		/* Happy birthday!  Have a large font! */
		setFont("UbuntuMono-BOLD-24");

		/* Keep track of which birthdays are used. */
		boolean[] used = new boolean[NUM_DAYS];
		int numPeople = 0;
		
		while (true) {
			/* Generate a random birthday for the next person. */
			RandomGenerator rgen = RandomGenerator.getInstance();
			int birthday = rgen.nextInt(0, NUM_DAYS - 1);
			numPeople++;
			
			/* If it's in use, we've got our duplicate! */
			if (used[birthday] == true) break;
			
			/* Otherwise, mark the birthday as used. */
			used[birthday] = true;
		}
		println("We needed " + numPeople + " people.");
	}
}
